## aircrack-ng 1.2-0~beta3

=== debian/changelog ===
aircrack-ng (1:1.2-0~beta3-4) unstable; urgency=medium

  * Update the paths for the IEEE OUI file on airodump-ng
    to match the ones used now by the package ieee-data.
    (Closes: #771221)

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Fri, 28 Nov 2014 00:48:06 +0100

aircrack-ng (1:1.2-0~beta3-3) unstable; urgency=high

  * Remove useless dh-python from Build-Depends. Check #769285.

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Wed, 12 Nov 2014 17:42:10 +0100

aircrack-ng (1:1.2-0~beta3-2) unstable; urgency=high

  * Fix the following security vulnerabilities: (Closes: #767979)
    * CVE-2014-8321 - GPS stack overflow.
    * CVE-2014-8322 - tcp_test stack overflow.
    * CVE-2014-8323 - buddy-ng missing checkin data format.
    * CVE-2014-8324 - net_get missing check for invalid values.
  * Add missing dh-python package to Build-Depends.

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Tue, 11 Nov 2014 23:41:52 +0100

aircrack-ng (1:1.2-0~beta3-1) unstable; urgency=low

  * New upstream release.
    * Remove all Debian patches that are now merged upstream.
  * Apply: "wrap-and-sort -sa"
  * Build with PCRE: Add support for regular expression matching for ESSID
    in airodump-ng.
  * Build with libgcrypt20 by default, but allow to use libgcrypt11 otherwise.
  * Fix libnl detection (Debian patches 002-fix-libnl-detection.diff and
    003-dont-abort-libnl-nolinux.diff).
  * Add build dependency on libnl-genl-3-dev.
  * Remove airdriver-ng (LP: #499513) (Closes: #449299).
  * Not longer recommend wget, because we don't ship airdriver-ng neither
    airoump-ng-oui-update.
  * Recommend the Debian package ieee-data that contains the OUI data.
    Add Debian patch 001-Airodump_whitespace_oui.diff to correctly parse it.
    Not longer ship airodump-ng-oui-update (Use update-oui instead).
    (Closes: #739199)
  * Switch to debhelper 9 and enable all hardening flags (PIE works now).
  * Update debian/watch and debian/copyright.
  * Upgrade to new standards version.

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Fri, 30 May 2014 19:21:38 +0200
