=== debian/control ===
Source: aircrack-ng
Section: net
Priority: optional
Maintainer: Carlos Alberto Lopez Perez <clopez@igalia.com>
Homepage: http://www.aircrack-ng.org/
Build-Depends:
 debhelper (>= 9),
 libgcrypt20-dev | libgcrypt11-dev,
 libnl-genl-3-dev [linux-any],
 libpcap0.8-dev,
 libpcre3-dev,
 libsqlite3-dev,
 pkg-config,
 python,
 zlib1g-dev
Standards-Version: 3.9.5

Package: aircrack-ng
Architecture: any
Depends:
 iw [linux-any],
 wireless-tools [linux-any],
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 ieee-data
Description: wireless WEP/WPA cracking utilities
 aircrack-ng is an 802.11a/b/g WEP/WPA cracking program that can recover a
 40-bit, 104-bit, 256-bit or 512-bit WEP key once enough encrypted packets
 have been gathered. Also it can attack WPA1/2 networks with some advanced
 methods or simply by brute force.
 .
 It implements the standard FMS attack along with some optimizations,
 thus making the attack much faster compared to other WEP cracking tools.
 It can also fully use a multiprocessor system to its full power in order
 to speed up the cracking process.
 .
 aircrack-ng is a fork of aircrack, as that project has been stopped by
 the upstream maintainer.
