## aircrack-ng 1.2-0~rc4

=== debian/changelog ===
aircrack-ng (1:1.2-0~rc4-4) unstable; urgency=medium

  [ Sophie Brun ]
  * Team upload.
  * debian/rules: override dh_fixperms only for arch-indep packages.
    Closes: #882172

  [ Raphaël Hertzog ]
  * Add dh-python to Build-Depends.

 -- Sophie Brun <sophie@freexian.com>  Mon, 20 Nov 2017 14:29:58 +0100

aircrack-ng (1:1.2-0~rc4-3) unstable; urgency=medium

  * Team upload.
  * Package airgraph-ng tool (and associated airodump-join script) in a
    new airgraph-ng package to not inflict the python dependency on
    the main package.
  * Bump Standards-Version to 4.1.1: no changes required

 -- Sophie Brun <sophie@freexian.com>  Tue, 10 Oct 2017 11:51:15 +0200

aircrack-ng (1:1.2-0~rc4-2) unstable; urgency=medium

  * d/copyright: Update debian/* entry.
  * debian/patches:
    - 01_reproducible_build.patch: New patch to allow reproducible builds,
      thanks a lot to Reiner Herrmann (closes: #818230).
    - 01_remove_check.patch: Remove no-more-needed patch, see below.
    - 04_memory_access.patch: New patch from upstream to fix memory access
      issues.

 -- Samuel Henrique <samueloph@gmail.com>  Wed, 04 Jan 2017 23:53:28 -0200

aircrack-ng (1:1.2-0~rc4-1) unstable; urgency=medium

  * New upstream release.
  * Bump DH level to 10.
  * Bump Standards-Version to 3.9.8.
  * This package is now maintained under the pkg-security team.
  * Add myself as an uploader.
  * Changelog entries from 1.2-rc3 that closes bugs:
    - Airmon-ng: Fixed bashism (closes: #772193).
  * Changelog entries from 1.2-rc2 that closes bugs:
    - Airodump-ng: Fixed GPSd (LP: #942108).
  * debian/aircrack-ng.manpages: Create file and add airodump-ng-oui-update.8.
  * debian/clean: Create file and add common.cfg.
  * debian/control:
    - Build-Depends:
      ~ Add virtual package libgcrypt-dev for better support.
      ~ Remove python as its not needed.
    - Depends:
      ~ Add usbutils, ethtool and rfkill, used by airmon-ng.
  * debian/copyright:
    - Source: Change to new URL, last one was pointing directly to a release.
    - Remove no-matching entry for scripts/airdriver-ng.
    - Update all entries.
  * debian/install: Create file and add airodump-ng-oui-update.
  * debian/helper-scripts/airodump-ng-oui-update: Add script for compatibility
    with old command airodump-ng-oui-update.
  * debian/patches: Remove directory:
    - The following patches were applied upstream and/or are no more needed:
      ~ 000-Airmon_needs_bash.diff.
      ~ 001-Airodump_whitespace_oui.diff.
      ~ 002-fix-libnl-detection.diff.
      ~ 003-dont-abort-libnl-nolinux.diff.
      ~ 004-CVE-2014-8321.diff.
      ~ 005-CVE-2014-8322.diff.
      ~ 006-CVE-2014-8323.diff.
      ~ 007-CVE-2014-8324.diff.
      ~ 008-Airodump_fix-ieee-oui-path.diff.
    - 00_typos.patch: Fix typos, sent upstream.
    - 01_remove_check.patch: Remove problematic check routine.
    - 02_bashisms.patch: Remove bashisms.
  * debian/rules:
    - Don't use python anymore (remove --with=python2).
    - MAKEFLAGS: Switch to flag unstable instead of experimental, upstream
      changed on rc2.
    - override_dh_auto_configure: Use specific architecture requirements to
      prevent compiling bug, upstream is aware of this.
  * debian/watch:
    - Bump to version 4.
    - Add uversionmangle to convert dashes into tildes.
    - Add filenamemangle to use package name on tarballs.
    - Remove dversionmangle, deprecated by the use of uversionmangle.
    - Use Github repo.

  [ Carlos Alberto Lopez Perez ]
  * debian/patches/03_fix_trap_usage_dash.patch: New patch to fix bad SIG trap.

 -- Samuel Henrique <samueloph@gmail.com>  Sat, 15 Oct 2016 14:40:51 -0300
