=== debian/control ===
--- 
+++ 
@@ -1,27 +1,36 @@
 Source: aircrack-ng
 Section: net
 Priority: optional
-Maintainer: Carlos Alberto Lopez Perez <clopez@igalia.com>
+Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
+Uploaders: Carlos Alberto Lopez Perez <clopez@igalia.com>,
+           Samuel Henrique <samueloph@gmail.com>
 Homepage: http://www.aircrack-ng.org/
 Build-Depends:
- debhelper (>= 9),
- libgcrypt20-dev | libgcrypt11-dev,
+ debhelper (>= 10),
+ dh-python,
+ libgcrypt-dev | libgcrypt20-dev | libgcrypt11-dev,
  libnl-genl-3-dev [linux-any],
  libpcap0.8-dev,
  libpcre3-dev,
  libsqlite3-dev,
  pkg-config,
- python,
+ python-all,
+ python-setuptools,
  zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/git/pkg-security/aircrack-ng.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-security/aircrack-ng.git
 
 Package: aircrack-ng
 Architecture: any
 Depends:
  iw [linux-any],
  wireless-tools [linux-any],
+ ethtool,
+ usbutils,
+ rfkill,
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Recommends:
  ieee-data
 Description: wireless WEP/WPA cracking utilities
@@ -37,3 +46,12 @@
  .
  aircrack-ng is a fork of aircrack, as that project has been stopped by
  the upstream maintainer.
+
+Package: airgraph-ng
+Architecture: all
+Depends: ${python:Depends}, ${misc:Depends}, graphviz
+Recommends: aircrack-ng
+Description: Tool to graph txt files created by aircrack-ng
+ airgraph-ng is a tool to create a graph ouf of the txt file created by airodump
+ with its -w option. The graph shows the relationships between the clients and
+ the access points.
