=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export MAKEFLAGS = gcrypt=true sqlite=true experimental=true pcre=true

%:
	dh $@ --with python2

override_dh_auto_configure:
ifeq ($(DEB_HOST_ARCH),amd64)
	(echo "SSEFLAG=Y"; echo "NEWSSE=true"; echo "SIMDCORE=true"; echo "PTHREAD=Y") >common.cfg
else
	(echo "NEWSSE=false"; echo "SIMDCORE=false"; echo "PTHREAD=Y") >common.cfg
endif
	dh_auto_configure

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/aircrack-ng prefix=/usr
	rm -f $(CURDIR)/debian/aircrack-ng/usr/share/man/man8/airodump-ng-oui-update*
	rm -f $(CURDIR)/debian/aircrack-ng/usr/share/man/man8/airdriver-ng*
	rm -f $(CURDIR)/debian/aircrack-ng/usr/sbin/airodump-ng-oui-update
	rm -f $(CURDIR)/debian/aircrack-ng/usr/sbin/airdriver-ng

override_dh_fixperms-indep:
	dh_fixperms
	chmod 755 $(CURDIR)/debian/airgraph-ng/usr/share/airgraph-ng/dump-join
	chmod 755 $(CURDIR)/debian/airgraph-ng/usr/share/airgraph-ng/airgraph-ng
