## aircrack-ng 1.3

=== debian/changelog ===
aircrack-ng (1:1.3-3) unstable; urgency=medium

  * debian/patches/osdep_cigam.patch.patch:
    - fix build and test on big endian systems

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Sep 2018 10:24:23 +0200

aircrack-ng (1:1.3-2) unstable; urgency=medium

  * Disable failing test until the pcap is sorted
    out by upstream
  * bump std-version to 4.2.1, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Aug 2018 10:04:00 +0200

aircrack-ng (1:1.3-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * New upstream version 1.3

  [ Gianfranco Costamagna ]
  * Upload to unstable
  * Fix dump-join airodump-join move
  * copyright in secure mode
  * Drop 00_typos patch: upstream
  * drop 02_ftbfs_gcrypt.patch: upstream
  * drop 03_neon_support.patch: upstream
  * drop 04_fix_byteorder_macros.patch: upstream
  * drop 05_dump_join_fix.patch: upstream
  * Add libcmocka-dev new dependency
  * bump std-version to 4.1.5, no changes required
  * Update copyright file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Jul 2018 12:03:23 +0200

aircrack-ng (1:1.2.0-6) unstable; urgency=medium

  * Team upload.
  * Add d/pacth/04_fix_byteorder_macros.patch fixing airserv-ng

 -- Sophie Brun <sophie@freexian.com>  Tue, 15 May 2018 09:34:40 +0200

aircrack-ng (1:1.2.0-5) unstable; urgency=medium

  * Upload revisions -3 and -4 to unstable (changelog below)
  * d/control|copyright: update my email address

 -- Samuel Henrique <samueloph@debian.org>  Fri, 11 May 2018 15:44:19 -0300

aircrack-ng (1:1.2.0-4) experimental; urgency=medium

  * d/patches/neon_support: fix FTBFS on armel by performing NEON
    intrinsic support using Autoconf

 -- Samuel Henrique <samueloph@debian.org>  Wed, 09 May 2018 19:22:03 -0300

aircrack-ng (1:1.2.0-3) experimental; urgency=medium

  * Revert "d/control: add libssl-dev build-dep", it was an attempt to fix
    an FTBFS, the following patch should fix that.
  * d/patches/02_ftbfs_gcrypt: fix gcrypt usage

 -- Samuel Henrique <samueloph@debian.org>  Sun, 06 May 2018 20:19:22 -0300

aircrack-ng (1:1.2.0-2) unstable; urgency=medium

  * d/control: add libssl-dev build-dep

 -- Samuel Henrique <samueloph@debian.org>  Wed, 02 May 2018 13:30:15 -0300

aircrack-ng (1:1.2.0-1) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Team upload
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Samuel Henrique ]
  * Bump DH to 11
  * New upstream version 1.2.0~rc5
  * Fix the debian part of the version number (now we wait until 1.2.1 to fix
  * d/copyright: update debian/* entry
    the upstream part)

  [ Sophie Brun ]
  * New upstream version 1.2.0 (still have a difference with upstream: 1.2)
  * Update debian/copyright
  * Update patches:
     - drop patches merged upstream (02_bashisms.patch,
       03_fix_trap_usage_dash.patch, 04_memory_access.patch)
     - drop 01_reproducible_build.patch: don't apply anymore
  * Bump Standards-Version to 4.1.4 (no changes required)
  * Don't install the tests as examples
  * Update debian/rules for new Makefile

 -- Sophie Brun <sophie@freexian.com>  Wed, 02 May 2018 01:40:16 -0300
