=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: aircrack-ng
 Section: net
 Priority: optional
-Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Carlos Alberto Lopez Perez <clopez@igalia.com>,
-           Samuel Henrique <samueloph@gmail.com>
+           Samuel Henrique <samueloph@debian.org>
 Homepage: http://www.aircrack-ng.org/
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
  libgcrypt-dev | libgcrypt20-dev | libgcrypt11-dev,
  libnl-genl-3-dev [linux-any],
@@ -16,10 +16,11 @@
  pkg-config,
  python-all,
  python-setuptools,
- zlib1g-dev
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/git/pkg-security/aircrack-ng.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-security/aircrack-ng.git
+ zlib1g-dev,
+ libcmocka-dev
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/aircrack-ng
+Vcs-Git: https://salsa.debian.org/pkg-security-team/aircrack-ng.git
 
 Package: aircrack-ng
 Architecture: any
