## aircrack-ng 1.4

=== debian/changelog ===
aircrack-ng (1:1.4-3) unstable; urgency=medium

  * Upload to unstable

 -- Samuel Henrique <samueloph@debian.org>  Wed, 10 Oct 2018 15:22:28 -0300

aircrack-ng (1:1.4-2) experimental; urgency=medium

  * d/control: Add hwloc as dependency for perf boost
  * d/p/big-endian.patch: new patch to address FTBFS On big endian systems
  * wrap-and-sort -a

 -- Samuel Henrique <samueloph@debian.org>  Tue, 09 Oct 2018 23:20:40 -0300

aircrack-ng (1:1.4-1) unstable; urgency=medium

  * New upstream version 1.4
  * d/p/osdep_cigam.patch: remove patch, applied upstream

 -- Samuel Henrique <samueloph@debian.org>  Sun, 30 Sep 2018 23:55:09 -0300
