=== debian/control ===
--- 
+++ 
@@ -5,35 +5,34 @@
 Uploaders: Carlos Alberto Lopez Perez <clopez@igalia.com>,
            Samuel Henrique <samueloph@debian.org>
 Homepage: http://www.aircrack-ng.org/
-Build-Depends:
- debhelper (>= 11),
- dh-python,
- libgcrypt-dev | libgcrypt20-dev | libgcrypt11-dev,
- libnl-genl-3-dev [linux-any],
- libpcap0.8-dev,
- libpcre3-dev,
- libsqlite3-dev,
- pkg-config,
- python-all,
- python-setuptools,
- zlib1g-dev,
- libcmocka-dev
+Build-Depends: debhelper (>= 11),
+               dh-python,
+               hwloc,
+               libcmocka-dev,
+               libgcrypt-dev | libgcrypt20-dev | libgcrypt11-dev,
+               libnl-genl-3-dev [linux-any],
+               libpcap0.8-dev,
+               libpcre3-dev,
+               libsqlite3-dev,
+               pkg-config,
+               python-all,
+               python-setuptools,
+               zlib1g-dev
 Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/aircrack-ng
 Vcs-Git: https://salsa.debian.org/pkg-security-team/aircrack-ng.git
 
 Package: aircrack-ng
 Architecture: any
-Depends:
- iw [linux-any],
- wireless-tools [linux-any],
- ethtool,
- usbutils,
- rfkill,
- ${misc:Depends},
- ${shlibs:Depends},
-Recommends:
- ieee-data
+Depends: ethtool,
+         hwloc,
+         iw [linux-any],
+         rfkill,
+         usbutils,
+         wireless-tools [linux-any],
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: ieee-data
 Description: wireless WEP/WPA cracking utilities
  aircrack-ng is an 802.11a/b/g WEP/WPA cracking program that can recover a
  40-bit, 104-bit, 256-bit or 512-bit WEP key once enough encrypted packets
@@ -50,7 +49,9 @@
 
 Package: airgraph-ng
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, graphviz
+Depends: graphviz,
+         ${misc:Depends},
+         ${python:Depends}
 Recommends: aircrack-ng
 Description: Tool to graph txt files created by aircrack-ng
  airgraph-ng is a tool to create a graph ouf of the txt file created by airodump
