=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export MAKEFLAGS = gcrypt=true sqlite=true experimental=true pcre=true
 
 %:
 	dh $@ --with python2
@@ -12,7 +11,7 @@
 else
 	(echo "NEWSSE=false"; echo "SIMDCORE=false"; echo "PTHREAD=Y") >common.cfg
 endif
-	dh_auto_configure
+	dh_auto_configure -- --with-gcrypt --with-experimental
 
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/aircrack-ng prefix=/usr
@@ -23,5 +22,5 @@
 
 override_dh_fixperms-indep:
 	dh_fixperms
-	chmod 755 $(CURDIR)/debian/airgraph-ng/usr/share/airgraph-ng/dump-join
+	chmod 755 $(CURDIR)/debian/airgraph-ng/usr/share/airgraph-ng/airodump-join
 	chmod 755 $(CURDIR)/debian/airgraph-ng/usr/share/airgraph-ng/airgraph-ng
