## aircrack-ng 1.5.2

=== debian/changelog ===
aircrack-ng (1:1.5.2-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Samuel Henrique <samueloph@debian.org>  Thu, 24 Jan 2019 23:01:40 +0000

aircrack-ng (1:1.5.2-3) unstable; urgency=medium

  * Team upload.
  * Fix helper-script aigraph-ng: see https://bugs.kali.org/view.php?id=5159

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 21 Dec 2018 12:08:01 +0100

aircrack-ng (1:1.5.2-2) unstable; urgency=medium

  * d/control: Use libhwloc-dev instead of hwloc, thanks to sthibault
    (closes:#916780)

 -- Samuel Henrique <samueloph@debian.org>  Tue, 18 Dec 2018 23:26:56 +0000

aircrack-ng (1:1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2

 -- Samuel Henrique <samueloph@debian.org>  Thu, 13 Dec 2018 23:48:34 +0000

aircrack-ng (1:1.5.1-2) experimental; urgency=medium

  * d/rules: get rid of dependency libs on la-file

 -- Samuel Henrique <samueloph@debian.org>  Sun, 09 Dec 2018 19:19:03 +0000

aircrack-ng (1:1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1
  * d/p/big-endian: patch applied upstream
  * d/copyright: python.m4 file was removed upstream

 -- Samuel Henrique <samueloph@debian.org>  Sun, 09 Dec 2018 18:48:52 +0000
