=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,8 @@
 	rm -f $(CURDIR)/debian/aircrack-ng/usr/share/man/man8/airdriver-ng*
 	rm -f $(CURDIR)/debian/aircrack-ng/usr/sbin/airodump-ng-oui-update
 	rm -f $(CURDIR)/debian/aircrack-ng/usr/sbin/airdriver-ng
+	ls $(CURDIR)/debian/aircrack-ng/usr/lib/
+	find $(CURDIR)/debian/aircrack-ng/usr/lib/ -iname *.la -type f -exec sed -i "/dependency_libs/ s/'.*'/''/" {} \;
 
 override_dh_fixperms-indep:
 	dh_fixperms
